MonitorAppPermission

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.system
Class MonitorAppPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.ocap.system.MonitorAppPermission

All Implemented Interfaces:
  Serializable, Guard

    public final class MonitorAppPermission

extends BasicPermission

The MonitorAppPermission class represents permission to execute privileged operations only Monitor Application should be granted.

A MonitorAppPermission consists of a permission name, representing a single privileged operation. The name given in the constructor may end in ".*" to represent all permissions beginning with the given string, such as `"*"` to allow all MonitorAppPermission operations, or `"handler.*"` to only allow setting any handler.

The following table lists all MonitorAppPermission permission names.

Permission Name | What the Permission Allows | Description
--- | --- | ---
registrar | Provides access to the Application Database by way of the AppRegistrar | This permission allows the caller to add or remove applications from the Application Database.
handler.registrar | Set an application signal handler via the AppManagerProxy.setAppSignalHandler() method. | This facility allows Monitor Applications to reject an updated XAIT in which case the applications database and stored applications are not changed.
service | Allows creation of an AbstactService | Applications with this permission can create and manage their own service contexts and the services running in those service contexts.
servicemanager | Allows management of all services | Applications with this permission can create their own service contexts and manage both their own and other service contexts and services.
security | Allows setting the `SecurityPolicyHandler` used by the AppManager | This permission allows the application to register a SecurityPolicyHandler with the AppManager to determine the PermissionCollection granted to applications before they are run.
reboot | Initiates a system to reboot itself | This permission allows the caller to request for a system reboot.
systemevent | Allows setting the error, resource depletion, or reboot handlers | This permission allows the Monitor Application to be alerted upon system reboot, resource depletion, and error events.
handler.appFilter | Set a new black and white list to the system | This permission allows the application to set a new black and white list, which the system uses to determine whether to accept or reject broadcasted applications on the receiver. Such control should only be granted to a monitor application.
handler.resource | Set a Resource Contention Handler | Set a handler to resolve resource contention between two or more apps see `ResourceContentionManager.setResourceContentionHandler(org.ocap.resource.ResourceContentionHandler)`.
handler.closedCaptioning | Set closed-captioning preferences and control captioning. | Allows monitor application to get a `ClosedCaptioningAttribute` and call methods in a `ClosedCaptioningControl`.
filterUserEvents | Filter user events | This permission allows the user to filter user events.
handler.eas | Set preferences of Emergency Alert System (EAS) message representation. | Allows monitor application to set preferences of EAS message representation and add a new EAShandler by calling `EASModuleRegistrar.registerEASHandler(org.ocap.system.EASHandler)`.
setVideoPort | Allows enabling and disabling video port | Allows monitor to call org.ocap.hardware.VideoOutputPort.enable() and org.ocap.hardware.VideoOutputPort.disable().
podApplication | Allows access to Specific Application Support Resource | Allows Monitor Application to call org.ocap.system.SystemModuleRegistrar.
signal.configured | Allows monitor to signal implementation to resume boot processing after handlers have been set | Allows monitor to call org.ocap.OcapSystem.monitorConfiguredSignal().
storage | Provides control of persistent storage devices and content stored therein | Allows monitor to delete volumes it does not own, initialize `StorageProxy` associated devices, make detachable devices ready for detaching or ready for use, and set file access permissions for any application accessible file or directory.
properties | Allows monitor to access ocap system properties | Allows monitor to call read ocap properties that require monitor application permission.
registeredapi.manager | Provides access to network specific APIs | Gives monitor ability to register and remove a registered API.
vbifiltering | Allows monitor application to filter VBI data. | Allows monitor application to call a VBIFilterGroup constructor.
codeDownload | Allows monitor application to initiate a download, generally following a CVT signaling a deferred download | Allow monitor application to call Host.codeDownload method.
mediaAccess | Allows monitor application to register MediaAccessHandler. | Allows monitor application to call a MediaAccessHandlerRegistrar.setExternalTriggers(). Allows monitor application to call a MediaAccessConditionControl.conditionHasChanged().
testApplications | Allows monitor application to control how applications with "test_application_flag" set are handled | Allows monitor application to control whether applications with "test_application_flag" are ignored (as normal) or whether this flag is ignored. This is controlled by the method AppManagerProxy.enableTestApplications().

Other permissions may be added as necessary.

See Also:
  Serialized Form

Constructor Summary
`MonitorAppPermission(String name)` Constructor for the MonitorAppPermission

Method Summary

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MonitorAppPermission

    public MonitorAppPermission(String name)

  Constructor for the MonitorAppPermission

  Parameters:
    `name` - the name of this permission (see table in class description)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD